Send Message API
Endpoint kompatibel dengan format API kamu. Gunakan device yang sudah berstatus
connected.
| Method |
POST atau GET |
| Endpoint |
/send-message |
Parameters
| Parameter |
Type |
Required |
Description |
api_key |
string |
Yes |
API key user |
sender |
string |
Yes |
Nomor device yang connected |
number |
string |
Yes |
Nomor tujuan, contoh 62888xxxx |
message |
string |
Yes |
Pesan yang dikirim |
POST JSON
POST /send-message
Content-Type: application/json
{
"api_key": "1234567890",
"sender": "62888xxxx",
"number": "62888xxxx",
"message": "Hello World"
}
GET URL
/send-message?api_key=1234567890&sender=62888xxxx&number=62888xxxx&message=Hello%20World
Send Media API
Endpoint ini digunakan untuk mengirim media dari URL direct link.
Pastikan URL bukan link Google Drive, Dropbox preview, atau cloud storage yang butuh halaman perantara.
| Method |
POST atau GET |
| Endpoint |
/send-media |
Media Parameters
| Parameter |
Type |
Required |
Description |
api_key |
string |
Yes |
API key user |
sender |
string |
Yes |
Nomor device yang connected |
number |
string |
Yes |
Nomor tujuan, contoh 62888xxxx |
media_type |
string |
Yes |
Allowed:
image,
video,
audio,
pdf,
xls,
xlsx,
doc,
docx,
zip
|
caption |
string |
No |
Akan tampil untuk media type image dan video. |
url |
string |
Yes |
URL media. Wajib direct link. |
ppt |
boolean |
No |
Digunakan untuk type audio.
true = voice note,
false = audio biasa.
|
Note: Pastikan url adalah direct link, bukan link dari Google Drive atau cloud storage yang membuka halaman preview.
Example JSON Request
POST /send-media
Content-Type: application/json
{
"api_key": "1234567890",
"sender": "62888xxxx",
"number": "62888xxxx",
"media_type": "image",
"caption": "Hello World",
"url": "https://example.com/image.jpg"
}
Example URL Request
/send-media?api_key=1234567890&sender=62888xxxx&number=62888xxxx&media_type=image&caption=Hello%20World&url=https%3A%2F%2Fexample.com%2Fimage.jpg
Example Audio Voice Note
POST /send-media
Content-Type: application/json
{
"api_key": "1234567890",
"sender": "62888xxxx",
"number": "62888xxxx",
"media_type": "audio",
"url": "https://example.com/audio.mp3",
"ppt": true
}